## Apache Zeta Components Manual :: Docs For Class ezcMvcExternalRedirect

### MvcTools::ezcMvcExternalRedirect

### Class ezcMvcExternalRedirect

This result type is used to force an external redirect

Source for this file: /MvcTools/src/result_types/external_redirect.php

### Implements interfaces:

- ezcMvcResultStatusObject

Version: | //autogentag//

### Member Variables

public string | `$location` The location where to re-direct to.

### Method Summary

public ezcMvcExternalRedirect | `__construct( [ $location = '/'] )` Constructs an ezcMvcExternalRedirect object to re-direct to $location
public void | `process( $writer )` Uses the passed in $writer to set the proper location header.

### Methods

#### __construct

ezcMvcExternalRedirect __construct( [string $location = '/'] )

Constructs an ezcMvcExternalRedirect object to re-direct to $location

##### Parameters:

Name | Type | Description
--- | --- | ---
`$location` | string |

#### process

void process( ezcMvcResponseWriter $writer )

Uses the passed in $writer to set the proper location header.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$writer` | ezcMvcResponseWriter |

##### Implementation of:

Method | Description
--- | ---
`ezcMvcResultStatusObject::process()` | This method is called by the response writers to process the data contained in the status objects.

Documentation generated by phpDocumentor 1.4.3